<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formFase">
<p:growl id="mensagem"/>

	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" columns="2">
	
	<f:facet name="header">
            Seleção de campeonato
    </f:facet>
	
	<p:outputLabel  value="Campeonato"/>
 	<h:selectOneMenu id="campeonato" converter ="ConverterCategoria"  value="#{faseMB.auxCat}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o campeonato" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.campeonatos}" />
    </h:selectOneMenu>
     
    <p:commandButton value="Atualizar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.atualizarGrupos}"
	                 update=":formFase"  
	/>

	<p:commandButton value="Limpar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.limpar}"
	                 update=":formFase"  
	/>
	
	</p:panelGrid>
	
	<p:dataTable
			var = "grupos"
			value = "#{faseMB.grupos}"
			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
	>
	
	<f:facet name="header">
            Grupos
    </f:facet>
			 
	     <p:column headerText="Grupo" style="text-align: center" sortBy="#{grupos.nome}">
                  <p:outputLabel value="#{grupos.nome}"/>  
	    </p:column>
		
		<p:column headerText="idGrupo" style="text-align: center" sortBy="#{grupos.idGrupo}">
                  <p:outputLabel value="#{grupos.idGrupo}"/>
	    </p:column>
	    
	    <p:column headerText="Fase" style="text-align: center" sortBy="#{grupos.fase.tipo}">
                  <p:outputLabel value="#{grupos.fase.tipo}"/>
	    </p:column>
	    
	    <!--  <p:column  headerText="Equipes" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formFase" oncomplete="PF('equipesDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{gru}" target="#{grupos.equipes}" />
        </p:commandButton>            
    	<p:dialog header="Equipes do Grupo" widgetVar="jogadoresDialog" closeOnEscape="true" modal="true" showEffect="fade" hideEffect="fade" resizable="false">
        <p:outputPanel id="jogadoresEquipe" style=" width:600px" columnClasses="label,value">
        -->
        
	    <!--  <p:column style = "text-align: center">
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{equipeMB.removerJogador(jog)}" update=":formEquipe"></p:commandLink>	     	
		</p:column>-->
 	
	</p:dataTable>

	<p:panelGrid columns="2" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px">
	
	<f:facet name="header">
            Rodada
    </f:facet>
    
    <p:outputLabel  value="Grupo"/>
 	<h:selectOneMenu id="grupo" converter ="ConverterGrupo"  value="#{faseMB.rodada.grupo}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o grupo" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.grupos}" />
    </h:selectOneMenu>
    
	<p:commandButton value="Salvar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.salvarRodada}"
	                 update="formFase"  
	/>
	
	</p:panelGrid>
	
	<p:panel columns="5" style="margin-bottom:0px; font-size: 16px; padding: 0px 0px; margin: 6px 6px">
	
	<p:panelGrid columns="2" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px">
	
	<f:facet name="header">
            Partida
    </f:facet>
    
    <p:outputLabel  value="Grupo"/>
 	<h:selectOneMenu id="grupo2" converter ="ConverterCategoria"  value="#{faseMB.auxGrupo}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o grupo" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.grupos}" />
    </h:selectOneMenu>
    
    <p:outputLabel  value="Rodada"/>
 	<h:selectOneMenu id="rodada" converter ="ConverterRodada"  value="#{faseMB.rodada}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a rodada" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.rodadas}" />
    </h:selectOneMenu>
	
	<p:outputLabel  value="Equipe mandante"/>
 	<h:selectOneMenu id="equipem" converter ="ConverterEquipe"  value="#{faseMB.partida.equipeMandante}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a equipe" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.equipes}" />
    </h:selectOneMenu>
	
	<p:outputLabel  value="Equipe visitante"/>
 	<h:selectOneMenu id="equipev" converter ="ConverterEquipe"   value="#{faseMB.partida.equipeVisitante}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione a equipe" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxGrupo.equipes}" />
    </h:selectOneMenu>
    
    <p:outputLabel value="Data: "/>
	<p:calendar id="mask" value="#{faseMB.partida.data}" pattern="dd/MM/yyyy" mask="true" />
	
	<p:outputLabel  value="Local: "/>
 	<h:selectOneMenu id="local" converter ="ConverterLocal"  value="#{faseMB.partida.local}"  style="width:205px">
    	<f:selectItem itemLabel= "Selecione o local" itemValue="" noSelectionOption="false"/>
    	<f:selectItems value="#{faseMB.auxCat.campeonato.locais}" />
    </h:selectOneMenu>
	
    
	<p:commandButton value="Salvar"
					 style = "margin: 4px 0px; padding: 2px 2px; font-size: 16px"
					 action="#{faseMB.salvarPartida}"
	                 update="formFase"  
	/>
	
	</p:panelGrid>

	<p:panelGrid columns="3" style="margin-bottom:5px; font-size: 16px; padding: 8px 12px; margin: 8px 6px"> 
  
	<p:outputLabel  value="Juiz"/>
   	<h:selectOneMenu id="juiz" converter ="ConverterJuiz"  value="#{faseMB.auxJuiz}"  style="width:205px">
      	 	<f:selectItem itemLabel= "Selecione o juiz" itemValue="" noSelectionOption="true"/>
       		<f:selectItems value="#{faseMB.auxCat.campeonato.juizes}" />
    </h:selectOneMenu>
 
 
 	<p:commandButton icon ="ui-icon-check"
    			     action="#{faseMB.addJuiz}"
                     update=":formFase"  
 	/>
 
 	</p:panelGrid>
 
 
   	<p:dataTable
   			var = "juiz"
   			value = "#{faseMB.partida.juizes}"
   			style = "margin: 8px 2px; padding: 0px 4px; font-size: 16px"
  
 	>
 
 	<f:facet name="header">
            Juiz (es) da partida
    </f:facet>
   
     
     <p:column headerText="Nome" style="text-align: center" sortBy="#{juiz.usuario.nome}">
                  <p:outputLabel value="#{juiz.usuario.nome}"/>  
     </p:column>
     
   
  
  	 <p:column headerText="Tipo" style="text-align: center">
                  <p:outputLabel value="#{juiz.tipo.tipo}"/>
     </p:column>
     
     
     <p:column style = "text-align: center">
       <p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{campeonatoMB.removerJuiz(juiz)}" update=":formCampeonato"></p:commandLink>       
  	 </p:column>
 
   
 	 </p:dataTable>

	</p:panel>

</h:form>
</ui:define>
</ui:composition>
